This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 175168

Summary: Review Request: gideon - GUI designer for GTK/C++
Product: [Fedora] Fedora Reporter: Denis Leroy <denisleroy>
Component: Package ReviewAssignee: Michael Schwendt <bugs.michael>
Status: CLOSED WONTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mtasaka, sundaram
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-11 08:54:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 206122, 206134    
Bug Blocks: 201449    

Description Denis Leroy 2005-12-07 02:23:27 EST
Spec Name or Url: http://www.poolshark.org/src/gideon.spec
SRPM Name or Url: http://www.poolshark.org/src/gideon-R4-0.1.BETA.src.rpm

Description: 
Gideon is a versatile GUI designer for GTK/C++. The goal of the
project is to provide an easy to use RAD tool for C++ programmers who
want to create multi-platform GTK/gtkmm-based GUI applications. Gideon is
not overloaded but strives to provide all necessary features and
remain simple and lightweight to the end user.
Comment 1 Michael Schwendt 2005-12-26 11:59:59 EST
* no desktop menu entry included, although this is a GUI program

* menu "New Window" gives error message:

  Information
  'New Window' action failed: Failed to execute child process
  'gideon' (No such file or directory)
   spawn_async(/home/qa, gideon)

Comment 2 Denis Leroy 2006-03-03 15:08:46 EST
The 'New Window' bug was fixed in R6 apparently.

About the desktop entry: the upstream project does not provide any sort of icon
that i could use here. Should we skip the desktop menu entry, or provide some
default icon ?
Comment 3 Rahul Sundaram 2006-03-03 15:13:26 EST
(In reply to comment #2)
> The 'New Window' bug was fixed in R6 apparently.
> 
> About the desktop entry: the upstream project does not provide any sort of icon
> that i could use here. Should we skip the desktop menu entry, or provide some
> default icon ?
> 

A desktop entry is mandated by the packaging guidelines. I suggest you create a
.desktop file as a patch and push this change upstream. 
Comment 4 Wart 2006-03-03 15:20:45 EST
(In reply to comment #2)
> About the desktop entry: the upstream project does not provide any sort of icon
> that i could use here. Should we skip the desktop menu entry, or provide some
> default icon ?

A desktop menu entry without an icon is better than no desktop entry at all. 
Don't let that prevent you from providing a desktop entry.

If upstream doesn't have an official logo then you might try taking a look at
the various images used by the application and see if anything would be
appropriate for an unofficial logo.  You'll probably have to manually convert it
to the appropriate size/format.

In any case, you should definitely bug upstream to provide both of these.
Comment 5 Denis Leroy 2006-03-04 16:46:18 EST
http://www.poolshark.org/src/gideon-R6-0.1.BETA.src.rpm
http://www.poolshark.org/src/gideon.spec

- Update to R6 (New Window problem fixed)
- Added desktop entry. Currently no official icon, and the app doesn't use any
suitable images. Problem submitted and acknowledged upstream.
- Clean mock build and rpmlint
Comment 6 Dan HorĂ¡k 2006-03-04 17:01:02 EST
Better is to use http://dl.sourceforge.net/gideon/gideon-%{version}.BETA.tar.bz2
as Source0 in the spec. It doesn't depend on the existence of one specific SF
mirror.
Comment 9 Eric Work 2006-06-29 22:20:12 EDT
An unofficial review.
1. It looks like the URL has changed.
2. Using %makeinstall is discouraged. 

see http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 11 Eric Work 2006-06-30 14:21:47 EDT
MUST Items: Good
SHOULD Items: Good

Everything seems fine except Michael, which is assigned to this package, must
approve the package.  Unofficially it follows all the guidelines.  Tested on
x86_64 without problems.
Comment 12 Michael Schwendt 2006-07-06 04:48:47 EDT
One thing I've waited for has happened:

* On July 3rd, the author released: gideon-2.7.0.tar.bz2

This gets rid of the unusual versioning scheme. Fortunately,
"2 > R". [Previously, the author sounded as if he would continue
using "Rx" release names.]

The new release also breaks the ABI.
Comment 13 Denis Leroy 2006-07-10 05:24:35 EDT
Gosh, and now they release 3 tarballs instead of one. I need to check with
upstream what is to be done wrt packaging (all 3 are released under the same
version number but I'm guessing that won't always be the case). I can't say I'm
thrilled at the idea of having to split this review into 3 different ones...
(gideon, gideon-guiloader and gideon-guiloader-c++)...
Comment 15 Michael Schwendt 2006-10-14 20:04:31 EDT
Packaging-wise it's only missing "Requires: pkgconfig" in the -devel
package.

Although it loads quickly, it could be enhanced with startup notification
in the desktop file.

At run-time, I stumbled into a NULL-pointer related segfault in
"Save As" while building a tiny test-GUI. It was too easy to make it
crash, but not reproducible afterwards.

Anyway, after a crash, I feel approval would be premature, so somebody
else would need to take over in order to accept v2.8.0 as is.
Comment 16 Denis Leroy 2006-10-15 07:57:13 EDT
http://www.poolshark.org/src/gideon-2.8.0-2.src.rpm
http://www.poolshark.org/src/gideon.spec

> Packaging-wise it's only missing "Requires: pkgconfig" in the -devel
> package.

Fixed.

> Although it loads quickly, it could be enhanced with startup notification
> in the desktop file.

Fixed.

I also added a Mime xml file so that gui xml files are opened by gideon correctly.

I spent an hour this morning playing with the Gui designer to try to reproduce
your Save As crash, but no luck. Do you remember what type of widgets you were
using ? Do you really feel this bug should prevent gideon from being in FE ? It
will be difficult to iron out the remaining bugs if the only 2 people testing it
are you and me :-)
Comment 17 Denis Leroy 2006-11-01 12:15:34 EST
The project was renamed to crow, or 'Crow Designer'. Plus 2.8.1 update.

http://www.poolshark.org/src/crow.spec
http://www.poolshark.org/src/crow-2.8.1-1.src.rpm
Comment 18 Rahul Sundaram 2006-11-01 14:31:49 EST

You might want to reconsider the decision to include this package into Fedora
Extras. Development on this project has been abandoned.

http://mail.gnome.org/archives/desktop-devel-list/2006-October/msg00474.html
Comment 19 Denis Leroy 2006-11-01 18:15:36 EST
Gosh, thanks for pointing me to the thread. I'm not on the gnome mailing list
and didn't know about this. Nothing of it was mentioned on the Gideon google
group which i'm subscribed to...

I think you're right, which is a shame because i like this tool from the start
and it has reached a pretty stable point. I'll wait a few weeks to see if
someone picks up the project...
Comment 20 Denis Leroy 2006-11-11 08:54:28 EST
Closing. Looks like upstream is truly dead. Sad.
Comment 21 Christoph Wickert 2006-12-01 21:22:54 EST
Marking as bug #201449